付款记录
GET https://hrt.cc/api/payments/
curl --request GET \
--url 'https://hrt.cc/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hrt.cc/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 详情 | 描述 |
|---|---|---|
| processor | 可选 字符串 | 允许的值:paypal , stripe , offline_payment , payu , iyzico , paystack , razorpay , mollie , yookassa , crypto_com , paddle , paddle_billing , mercadopago , midtrans , flutterwave , lemonsqueezy , myfatoorah , klarna , plisio , revolut |
| status | 可选 字符串 | 允许的值:paid , pending , cancelled , refunded |
| type | 可选 字符串 | 允许的值:one_time , recurring |
| frequency | 可选 字符串 | 允许的值:monthly , quarterly , biannual , annual , lifetime |
| order_by | 可选 字符串 | 排序字段。允许的值:id , datetime , total_amount。 |
| order_type | 可选 字符串 | 排序方式。允许的值:ASC 升序,DESC 降序。 |
| page | 可选 整数 | 返回结果的页码,默认为 1。 |
| results_per_page | 可选 整数 | 每页返回的结果数量。允许的值:10 , 25 , 50 , 100 , 250 , 500 , 1000,默认为 25。 |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-05-02 20:00:42",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://hrt.cc/api/payments?page=1",
"last": "https://hrt.cc/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://hrt.cc/api/payments?page=1"
}
}
GET https://hrt.cc/api/payments/{payment_id}
curl --request GET \
--url 'https://hrt.cc/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://hrt.cc/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-05-02 20:00:42",
}
}